<?php
namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO;
use Teknisa\Model\Util\NovoCodigo;

class Crm10110RamoAtividadeController extends SMCrud {
    protected $dataSourceName = 'ativcliente_segmercado';

    public function save(DTO\Request $request, DTO\Response $response) {
        
    	foreach($request->getDataSet()->getRows() as $row) {
    	    
            if(!array_key_exists('CDNVATIVCLI', $row)) $row['CDNVATIVCLI'] = 1;
            if(!array_key_exists('CDARVATIVCLI', $row)) $row['CDARVATIVCLI'] = 1;
            if(!array_key_exists('CDSEGMER', $row)) $row['CDSEGMER'] = null;
            
            if($row['__is_new']){
                $row['CDATIVCLI'] = NovoCodigo::geraCodigo($row['NRORG'], "ATIVCLIENTE", 1, 10, false, true);
            }
            
        }

    	parent::save($request, $response);
    }
}